commit 09912093c50a049d9addb9d8576e755d5423018f
Author: freddy77 <freddy77>
Date:   Tue Jun 9 06:50:12 2009 +0000

    revert Andrew Victor patch

diff --git a/ChangeLog b/ChangeLog
index 2649c36..ee076b7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Jun  9 08:49:43 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/cs.c src/ctlib/ct.c src/tds/convert.c src/tds/data.c:
+	- revert Andrew Victor patch
+
 Mon Jun  8 21:54:55 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/ctlib.h src/ctlib/blk.c src/ctlib/ct.c:
 	- make _ct_get_client_type call shorter
@@ -1624,4 +1628,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2808 2009/06/08 19:55:11 freddy77 Exp $
+$Id: ChangeLog,v 1.2809 2009/06/09 06:50:12 freddy77 Exp $
diff --git a/src/ctlib/cs.c b/src/ctlib/cs.c
index ecbb332..0952353 100644
--- a/src/ctlib/cs.c
+++ b/src/ctlib/cs.c
@@ -50,7 +50,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: cs.c,v 1.71 2009/06/06 01:42:29 jklowden Exp $");
+TDS_RCSID(var, "$Id: cs.c,v 1.72 2009/06/09 06:50:12 freddy77 Exp $");
 
 static int _cs_datatype_length(int dtype);
 static CS_INT cs_diag_storemsg(CS_CONTEXT *context, CS_CLIENTMSG *message);
@@ -601,7 +601,6 @@ cs_convert(CS_CONTEXT * ctx, CS_DATAFMT * srcfmt, CS_VOID * srcdata, CS_DATAFMT
 
 		case SYBCHAR:
 		case SYBVARCHAR:
-		case SYBNVARCHAR:
 		case SYBTEXT:
 			tdsdump_log(TDS_DBG_FUNC, "cs_convert() desttype = character\n");
 
@@ -813,7 +812,6 @@ cs_convert(CS_CONTEXT * ctx, CS_DATAFMT * srcfmt, CS_VOID * srcdata, CS_DATAFMT
 		break;
 	case SYBCHAR:
 	case SYBVARCHAR:
-	case SYBNVARCHAR:
 	case SYBTEXT:
 		if (len > destlen) {
 			fprintf(stderr, "error_handler: Data-conversion resulted in overflow.\n");
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 993aa87..44831c6 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.192 2009/06/08 19:55:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.193 2009/06/09 06:50:12 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -2014,9 +2014,6 @@ _ct_get_client_type(TDSCOLUMN *col)
 			return CS_UNICHAR_TYPE;
 		return CS_CHAR_TYPE;
 		break;
-	case SYBNVARCHAR:
-		return CS_UNICHAR_TYPE;
-		break;
 	}
 
 	return CS_FAIL;
@@ -4035,10 +4032,7 @@ paraminfoalloc(TDSSOCKET * tds, CS_PARAM * first_param)
 				return NULL;
 			pcol->on_server.column_size = pcol->column_size = p->maxlen;
 			pcol->column_cur_size = temp_datalen;
-			if (p->maxlen == 0 && pcol->column_type == SYBNVARCHAR) {
-				pcol->on_server.column_size = pcol->column_size = temp_datalen*2;
-			}
-			else if (temp_datalen > 0 && temp_datalen > p->maxlen)
+			if (temp_datalen > 0 && temp_datalen > p->maxlen)
 				pcol->on_server.column_size = pcol->column_size = temp_datalen;
 		} else {
 			pcol->column_cur_size = pcol->column_size;
diff --git a/src/tds/convert.c b/src/tds/convert.c
index 0cdb5fa..6ebd544 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.190 2009/06/06 01:42:29 jklowden Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.191 2009/06/09 06:50:12 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -340,7 +340,6 @@ tds_convert_char(int srctype, const TDS_CHAR * src, TDS_UINT srclen, int desttyp
 		return srclen;
 
 	case CASE_ALL_CHAR:
-	case SYBNVARCHAR:		/* CHAR return as Unicode */
 		cr->c = (TDS_CHAR *) malloc(srclen + 1);
 		test_alloc(cr->c);
 		memcpy(cr->c, src, srclen);
diff --git a/src/tds/data.c b/src/tds/data.c
index 042337b..1455667 100644
--- a/src/tds/data.c
+++ b/src/tds/data.c
@@ -35,7 +35,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: data.c,v 1.20 2009/06/06 01:42:29 jklowden Exp $");
+TDS_RCSID(var, "$Id: data.c,v 1.21 2009/06/09 06:50:12 freddy77 Exp $");
 
 #if !ENABLE_EXTRA_CHECKS
 static int tds_get_cardinal_type(int datatype);
@@ -85,9 +85,6 @@ tds_set_param_type(TDSSOCKET * tds, TDSCOLUMN * curcol, TDS_SERVER_TYPE type)
 		case SYBBINARY:
 			type = XSYBBINARY;
 			break;
-		case SYBNVARCHAR:
-			type = XSYBNVARCHAR;
-			break;
 			/* avoid warning on other types */
 		default:
 			break;
@@ -155,7 +152,6 @@ tds_get_cardinal_type(int datatype)
 	case SYBNTEXT:
 		return SYBTEXT;
 	case XSYBNVARCHAR:
-		return SYBNVARCHAR;
 	case XSYBVARCHAR:
 		return SYBVARCHAR;
 	case XSYBNCHAR:

